Bug 109158 - Squares instead Russian letters in many Gtk-1.2 applications
Squares instead Russian letters in many Gtk-1.2 applications
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-05 00:34 EST by Victor Vislobokov
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-06 06:59:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Vislobokov 2003-11-05 00:34:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
In many Gtk-1.2 applications (Gimp, xmms etc), I see squares instead
Russian letters. This because, XFree has incorrect fonts, without
Russian glyphs. This old problem begin from Red Hat 8.0. It is
possible to fix it, if make thease steps:
1. Get right fonts from 
ftp://ftp.asplinux.ru/pub/fonts/XFree86-iso10646cyr-fonts.tar.bz2
2. There are .bdf files in this archive. I make pcf.gz from it via
bdftopcf utility
3. Put .pcf.gz fonts into /usr/X11R6/lib/X11/fonts/75dpi directory
with replace old fonts.
4. Run mkfontdir in this directory
5. Restart X Font Server (xfs)
After thease steps, all is OK.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install the system with default Russian language
2. Run xmms
3. Click right button in xmms window
    

Actual Results:  Squares in menu instead Russian letters

Expected Results:  Russian letters in menu

Additional info:
Comment 1 Nikolay 2004-09-04 10:30:42 EDT
Please,
Can you post here the command line for bdftopcf ?

Comment 2 Mike A. Harris 2004-09-06 06:59:46 EDT
Fedora Core no longer has XFree86 as the X11 implementation, we have
switched to X.Org X11.  The fonts included with X.Org and XFree86
are not "open source" fonts, and do not permit modification and
redistribution.  We ship what comes with the X11 implementation
and can not modify these fonts.   The fonts at the URL you provided,
at a first glance seem to possibly be illegally modified versions of
fonts included with X.Org.  Please contact X.Org directly concerning
the bad fonts.  http://bugs.freedesktop.org "xorg" component.
Comment 3 Victor Vislobokov 2004-09-16 07:12:01 EDT
This problem presents in Fedora Core also.
Please, see license information, for example, into courB08.bdf:

"...Permission to use, copy, modify, distribute and sell this software
and its documentation for any purpose and without fee is hereby
granted, provided that the above copyright notices appear in all
copies and that both those copyright notices and this permission
notice appear in supporting documentation..." etc

Why you think about "illegaly modified", I'm not understand. IHMO, all
needed rights is provided.

In addition, these fonts is used in ASPLinux distribution already some
years.
Comment 4 Mike A. Harris 2004-09-16 10:26:42 EDT
The majority of fonts in X.Org and XFree86 are not freely modifyable
and redistributable.  In practice this means nobody but the author
can modify them.  I wasn't aware any of them at all were under any
true OSS license, but if they are indeed under a true OSS license,
you can file a bug report at X.Org bugzilla, located at
http://bugs.freedesktop.org in the "xorg" component.  X.Org will
then review the request, and possibly include any new fonts into
future releases.  Once any new fonts are present in X.Org, they
will naturally make their way into future Fedora Core releases.


Note You need to log in before you can comment on or make changes to this bug.